package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("td")
final class class513 implements class510 {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/Object;Luj;B)V",
      garbageValue = "-42"
   )
   public void vmethod9141(Object var1, Buffer var2) {
      this.method9118((Long)var1, var2);
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(Luj;B)Ljava/lang/Object;",
      garbageValue = "-69"
   )
   public Object vmethod9147(Buffer var1) {
      return Long.valueOf(var1.readLong_base());
   }

   @ObfuscatedName("aa")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/Long;Luj;B)V",
      garbageValue = "79"
   )
   void method9118(Long var1, Buffer var2) {
      var2.writeLong_base(var1.longValue());
   }
}
